pydo.genai.update_custom_model_metadata()

Generated on 3 Aug 2026 from pydo version v0.40.0

Usage

client.genai.update_custom_model_metadata(
    uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
    body={
        "description": "example string",
        "input_modalities": [...],
        "license": "example string",
        ...,
    },
)
Returns JSONRaises HttpResponseError

Description

To update custom model metadata, send a PATCH request to /v2/gen-ai/custom_models/{uuid}/metadata.

Parameters

uuid string required

UUID of the custom model to update

description string optional

Example: example string

input_modalities array of strings optional

Example: ['example string']

Optional new input modalities for the model (replaces existing list when non-empty).
Spaces-imported models only.

license string optional

Example: example string

name string optional

Example: example name

output_modalities array of strings optional

Example: ['example string']

Optional new output modalities for the model (replaces existing list when non-empty).
Spaces-imported models only.

parameters string optional

Example: 12345

tags object optional

User-defined tags for organizing models

Show child properties
tags array of strings optional

Example: ['example string']

List of tag strings

uuid string optional

Example: a1b2c3d4-...

UUID of the custom model to update

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "description": "example string",
  "input_modalities": [
    "example string"
  ],
  "license": "example string",
  "name": "example name",
  "output_modalities": [
    "example string"
  ],
  "parameters": "12345",
  "tags": {
    "tags": [
      "example string"
    ]
  },
  "uuid": "a1b2c3d4-..."
}

resp = client.genai.update_custom_model_metadata(uuid="\"123e4567-e89b-12d3-a456-426614174000\"", body=req)

Response Example

Show Response Example
{
  "model": {
    "active_deployments": [],
    "architecture": "example string",
    "context_length": 123,
    "cost_estimate_per_month": 123,
    "created_at": "2023-01-01T00:00:00Z",
    "description": "example string",
    "error_message": "example string",
    "file_count": 123,
    "input_modalities": [
      "example string"
    ],
    "license": "example string",
    "name": "example name",
    "output_modalities": [
      "example string"
    ],
    "parameters": "12345",
    "source_ref": {
      "access_type": "ACCESS_TYPE_UNSPECIFIED",
      "bucket": "example string",
      "commit_sha": "example string",
      "hf_token": "example string",
      "prefix": "example string",
      "region": "example string",
      "repo_id": "123e4567-e89b-12d3-a456-426614174000"
    },
    "source_type": "SOURCE_TYPE_UNSPECIFIED",
    "status": "STATUS_UNSPECIFIED",
    "storage_region": "example string",
    "tags": {
      "tags": [
        "example string"
      ]
    },
    "team_id": "12345",
    "total_size_bytes": "12345",
    "updated_at": "2023-01-01T00:00:00Z",
    "uuid": "123e4567-e89b-12d3-a456-426614174000"
  }
}

More Information

See /v2/gen-ai/custom_models/{uuid}/metadata in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.